Subject: Myosotis genus - info wanted

From: Bec Stanley <[email-masked]>
Date: 12 Jun 1996 05:16:37 GMT

I am currently studying a restricted endemic Myosotis species here in 
New Zealand (M. oreophila), and I want to put our Myosotis species into 
a more global context.  I want to know approximately how many Myosotis 
(forget-me-not) species there are overall. 
There are somewhere between 33 and 49 species here in NZ, and I have 
heard there may be up to 100 elsewhere in the world. I have read 
estimates that NZ has over half the worlds total of species in the 
genus, though I am doubting the validity of this claim, as nobody has 
any numbers.
I would really appreciate any help!
thanks,
Bec